Subject: bug#73603: closed (Re: [bug#73603] [PATCH 0/2] Add support for parallel I/O in netcdf)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 04 Oct 2024 11:54:02 +0000

Your bug report

#73603: [PATCH 0/2] Add support for parallel I/O in netcdf

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73603: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73603
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#73603] [PATCH 0/2] Add support for parallel I/O in netcdf
From: Ludovic Courtès <[email-masked]>
To: Romain GARBAGE <[email-masked]>
Cc: [email-masked]
Date: Fri, 04 Oct 2024 13:53:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Romain GARBAGE <[email-masked]> skribis:

> According to the documentation at [1], parallel I/O support for classic
> netCDF files, i.e. CDF-1, 2 and 5 formats, requires the PnetCDF library.
> This patch series adds the pnetcdf package (first commit) and activates
> the pnetcdf support in the parallel variant of the netcdf package.
>
> [1]: https://docs.unidata.ucar.edu/nug/current/getting_and_building_netcdf.html#build_parallel
>
> Romain GARBAGE (2):
>   gnu: Add pnetcdf.
>   gnu: netcdf-parallel-openmpi: Enable pnetcdf support.

Applied, thanks!

Subject: [PATCH 0/2] Add support for parallel I/O in netcdf
From: Romain GARBAGE <[email-masked]>
To: [email-masked]
Cc: [email-masked], Romain GARBAGE <[email-masked]>
Date: Wed, 2 Oct 2024 17:32:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

According to the documentation at [1], parallel I/O support for classic
netCDF files, i.e. CDF-1, 2 and 5 formats, requires the PnetCDF library.
This patch series adds the pnetcdf package (first commit) and activates
the pnetcdf support in the parallel variant of the netcdf package.

[1]: https://docs.unidata.ucar.edu/nug/current/getting_and_building_netcdf.html#build_parallel

Romain GARBAGE (2):
  gnu: Add pnetcdf.
  gnu: netcdf-parallel-openmpi: Enable pnetcdf support.

 gnu/packages/maths.scm | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

base-commit: 71fef00c95b22a1d917abdb28de5aa217b023e31
-- 
2.46.0